# config file for RideLogic API
#

# api password
#
RIDELOGIC_API_PASS=

# default credential information
#
RIDELOGIC_DEFAULT_MAG_TRACK=2
RIDELOGIC_DEFAULT_RF_LENGTH=26
RIDELOGIC_DEFAULT_RF_SITE=137

# default group membership and hash algorithm
#
RIDELOGIC_DEFAULT_GROUP_NAME=ORG
RIDELOGIC_DEFAULT_HASH_ALGORITHM=sha1

# default session token length
#
RIDELOGIC_TOKEN_LENGTH=32

# maximum number of characters to a field allowed
#
RIDELOGIC_MAX_FIELD_LENGTH=256

# 120 seconds to fulfill api request
#
RIDELOGIC_STALE_SEC_SESSION=120

# Allow a day window after registration
# for account activation (86400=24*60*60)
#
RIDELOGIC_STALE_SEC_REGISTRATION=86400

# Allow a two day window to reset password
# after a password reset attempt (172800=48*60*60)
#
RIDELOGIC_STALE_SEC_PASSWORD_RESET=172800

# DB information
#
RIDELOGIC_DB=busdb
RIDELOGIC_DB_SERVER=localhost
RIDELOGIC_DB_USERNAME=bus
RIDELOGIC_DB_PASSWORD=

